package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag920;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT920Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT920AbsCreator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class TagCycleCreator extends AbsTagCreate {

     private MT920Creator mt920Creator;

    public TagCycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt920Creator= (MT920Creator) absMTCreator;
    }


    public  void creator()
    {
        List<MT920AbsCreator> tagList=mt920Creator.getMt920AbsCreators();
        for (MT920AbsCreator abs920:tagList) {
            mt920Creator.set("12",abs920.getMessageRequested());
            mt920Creator.set("25",abs920.getAccountIdentification());
            mt920Creator.set("34F",abs920.getDebitFloorLimitIndicator());
            mt920Creator.set("34F",abs920.getCreditFloorLimitIndicator());
        }


    }
}
